regulators enabled at boot and also print error messages at boot.

Bug #567157 reported by Bryan Wu on 2010-04-20
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-fsl-imx51 (Ubuntu)
High
Bryan Wu
Lucid
Undecided
Unassigned
Maverick
High
Bryan Wu

Bug Description

When kernel boots, it will prints out some regulator error message.

Bryan Wu (cooloney) on 2010-04-20
Changed in linux-fsl-imx51 (Ubuntu):
assignee: nobody → Bryan Wu (cooloney)
importance: Undecided → High
milestone: none → lucid-updates
status: New → In Progress
Bryan Wu (cooloney) wrote :

Paul and Tobin,

I cherry-picked 4 patches from Freescale git tree for this regulator fixing:
http://kernel.ubuntu.com/git?p=roc/ubuntu-lucid.git;a=shortlog;h=refs/heads/regulator

And please find my kernel package here for testing.
people.canonical.com/~roc/kernel/regulator/

NOTE, I tried this kernel on my BB2.5 board when I was in SFO. After installed it, the system cannot boot now even the redboot bootloader. It looks like some HW issue, since my kernel is just a software. Please try this kernel carefully.

Thank you very much,
-Bryan

Paul Larson (pwlars) wrote :

The incomplete constraints messages are gone now, replaced by messages saying they are getting disabled instead.

plars@b3:~$ diff -u dmesg.1 dmesg.2 |grep -i regu
+Linux version 2.6.31-607-imx51 (root@emerald) (gcc version 4.4.1 (Sourcery G++ Lite 2009q3-67) ) #12~regulator0 Wed Apr 14 04:26:40 EDT 2010 (Ubuntu 2.6.31-607.12~regulator0-imx51)
+regulator: Unable to get requested regulator: VDDD
-regulator_init_complete: incomplete constraints, leaving GPO4 on
-regulator_init_complete: incomplete constraints, leaving GPO3 on
-regulator_init_complete: incomplete constraints, leaving GPO2 on
-regulator_init_complete: incomplete constraints, leaving GPO1 on
-regulator_init_complete: incomplete constraints, leaving VUSB on
-regulator_init_complete: incomplete constraints, leaving VGEN3 on
-regulator_init_complete: incomplete constraints, leaving VGEN2 on
-regulator_init_complete: incomplete constraints, leaving VGEN1 on
-regulator_init_complete: incomplete constraints, leaving VCAM on
-regulator_init_complete: incomplete constraints, leaving VAUDIO on
-regulator_init_complete: incomplete constraints, leaving VUSB2 on
-regulator_init_complete: incomplete constraints, leaving VSD on
-regulator_init_complete: incomplete constraints, leaving VPLL on
-regulator_init_complete: incomplete constraints, leaving VIOHI on
-regulator_init_complete: incomplete constraints, leaving SWBST on
+regulator_init_complete: disabling GPO4
+regulator_init_complete: disabling GPO3
+regulator_init_complete: disabling GPO2
+regulator_init_complete: disabling GPO1
+regulator_init_complete: disabling VGEN1
+regulator_init_complete: disabling VCAM
+regulator_init_complete: disabling VAUDIO
+regulator_init_complete: disabling VSD
+regulator_init_complete: disabling SWBST

Bryan Wu (cooloney) wrote :

Paul,

Thanks a lot, this information is really helpful.

The disabling messages should be right according to the driver code. Only one issue is
"regulator: Unable to get requested regulator: VDDD"

I think I fixed this in a new patch:
kernel.ubuntu.com/git?p=roc/ubuntu-lucid.git;a=shortlog;h=refs/heads/regulator

And the testing kernel is here:
people.canonical.com/~roc/kernel/regulator/

Please help me to test again.
-Bryan

Tobin Davis (gruemaster) wrote :

This looks ok to me. Here's my dmesg output:

ubuntu@babbage3:~$ dmesg |fgrep regulator
Linux version 2.6.31-608-imx51 (root@emerald) (gcc version 4.4.1 (Sourcery G++ Lite 2009q3-67) ) #14~regulator1 Thu Apr 22 04:38:29 EDT 2010 (Ubuntu 2.6.31-608.14~regulator1-imx51)
regulator: core version 0.5
Initializing regulators for Babbage.
regulator: SW1: 600 <--> 1375 mV
regulator: SW2: 900 <--> 1850 mV
regulator: SW3: 1100 <--> 1850 mV
regulator: SW4: 1100 <--> 1850 mV
regulator: SWBST: 0 mV
regulator: VIOHI: 0 mV
regulator: VPLL: 1050 <--> 1800 mV
regulator: VDIG: 1650 mV
regulator: VSD: 1800 <--> 3150 mV
regulator: VUSB2: 2400 <--> 2775 mV
regulator: VVIDEO: 2775 mV
regulator: VAUDIO: 2300 <--> 3000 mV
regulator: VCAM: 2500 <--> 3000 mV fast normal
regulator: VGEN1: 1200 mV
regulator: VGEN2: 1200 <--> 3150 mV
regulator: VGEN3: 1800 <--> 2900 mV
regulator: VUSB: 0 mV
regulator: GPO1: 0 mV
regulator: GPO2: 0 mV
regulator: GPO3: 0 mV
regulator: GPO4: 0 mV
regulator: get() with no identifier
regulator: get() with no identifier
regulator: get() with no identifier
regulator_init_complete: disabling GPO4
regulator_init_complete: disabling GPO3
regulator_init_complete: disabling GPO2
regulator_init_complete: disabling GPO1
regulator_init_complete: disabling VGEN1
regulator_init_complete: disabling VCAM
regulator_init_complete: disabling VAUDIO
regulator_init_complete: disabling VSD
regulator_init_complete: disabling SWBST

Accepted linux-fsl-imx51 into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Tobin Davis (gruemaster) wrote :

Fix verified. No erroneous kernel messages during boot.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-fsl-imx51 - 2.6.31-608.15

---------------
linux-fsl-imx51 (2.6.31-608.15) lucid-proposed; urgency=low

  [ Andy Whitcroft ]

  * rebase to Ubuntu-2.6.31-22.61
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274

  [ Bryan Wu ]

  * SAUCE: IMX51: fix stgl5000 regulator_get failing error
    - LP: #567157

  [ Mattias Walstrom ]

  * (pre-upstream) FEC: Fix kernel panic in fec_set_mac_address.
    - LP: #575558

  [ Upstream Kernel Changes ]

  * ENGR00120510 atlas switch mode control
  * ENGR00120456 mx51: set VIOHI always on
  * ENGR00121069: MX51: Complete the constraints for the various
    regulators.
  * ENGR00121385 MX51: Leave MC13892 VUSB Turned on for USB OTG to work
  * netdev/fec: fix ifconfig eth0 down hang issue
    - LP: #559065

  [ Ubuntu: 2.6.31-22.61 ]

  * SAUCE: docs -- fix doc strings for fc_event_seq
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274
  * SAUCE: sched: update load count only once per cpu in 10 tick update
    window
    - LP: #513848
  * (pre-stable) x86-32, resume: do a global tlb flush in S4 resume
    - LP: #531309
  * PCI: Ensure we re-enable devices on resume
    - LP: #566149
 -- Stefan Bader <email address hidden> Mon, 14 Jun 2010 11:58:42 +0200

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Bryan Wu (cooloney) on 2010-08-10
Changed in linux-fsl-imx51 (Ubuntu Maverick):
status: In Progress → Won't Fix
Bryan Wu (cooloney) on 2010-08-10
Changed in linux-fsl-imx51 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers